## kde-runtime 4.8.2

=== CMakeLists.txt ===
project(KDEBASE_RUNTIME)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

if(WINCE)
    #Needs to be set because otherwise he wouldn't find kde parts
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
    add_definitions(-DKDELIBS_STATIC_LIBS)
endif(WINCE)

#search packages used by KDE
set(KDE_MIN_VERSION "4.7.97")  # for the < 4.2 macro
find_package(KDE4 4.8.2 REQUIRED)
if (WIN32)
    find_package(Strigi)
else ()
    find_package(Strigi REQUIRED)
endif ()

include(KDE4Defaults)
include(MacroLibrary)
include(CheckFunctionExists)
include(CheckIncludeFiles)

set(SOPRANO_MIN_VERSION "2.6.50")
set(SDO_MIN_VERSION "0.6.50")
macro_optional_find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
macro_optional_find_package(Nepomuk)
macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies" "http://oscaf.sourceforge.net" FALSE ${SDO_MIN_VERSION} "Ontologies necessary for the Nepomuk semantic desktop.")
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk.")
macro_log_feature(SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND "Soprano Virtuoso Backend" "Virtuoso storage backend for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano Virtuoso backend is required to run the Nepomuk semantic desktop system.")
macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano Raptor Parser" "RDF parser plugin for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano raptor parser plugin is required to build the Nepomuk semantic desktop system.")
macro_log_feature(SOPRANO_PLUGIN_REDLANDBACKEND_FOUND "Soprano Redland Backend" "Redland storage backend for Soprano" "http://soprano.sourceforge.net" FALSE "" "The Soprano redland backend is required to build the Nepomuk semantic desktop system.")

macro_optional_find_package(SLP)
macro_log_feature( SLP_FOUND
  "OpenSLP" "SLP (Service Location Protocol) implementation" "http://www.openslp.org/" FALSE
  "" "Provides SLP support in the network:/ kioslave."
)

set(LIBATTICA_MIN_VERSION "0.1.4")
find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "http://websvn.kde.org/trunk/kdesupport/attica/" TRUE "" "Required for Get Hot New Stuff."
)

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Support for remote plasma widgets" "http://delta.affinix.com/qca" FALSE "2.0.0" "")

check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES})

# Build infrastructure
add_subdirectory(cmake)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# Background processes
add_subdirectory(kpasswdserver)
add_subdirectory(kdontchangethehostname)
add_subdirectory(kglobalaccel)
add_subdirectory(knotify)
add_subdirectory(ktimezoned)

if(NOT WINCE)
add_subdirectory(kuiserver)
endif(NOT WINCE)
add_subdirectory(kwalletd)

if ( UNIX )
   add_subdirectory(soliduiserver)
   add_subdirectory(solidautoeject)
   add_subdirectory(solid-device-automounter)
   add_subdirectory(solid-networkstatus)
endif ( UNIX )

if(SHAREDDESKTOPONTOLOGIES_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND AND SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)
  macro_optional_add_subdirectory(nepomuk)
endif(SHAREDDESKTOPONTOLOGIES_FOUND AND Nepomuk_FOUND AND STRIGI_STRIGIQTDBUSCLIENT_LIBRARY AND SOPRANO_PLUGIN_REDLANDBACKEND_FOUND AND SOPRANO_PLUGIN_VIRTUOSOBACKEND_FOUND AND SOPRANO_PLUGIN_RAPTORPARSER_FOUND)

# Plugins/components required for basic utility
if ( NOT WINCE )
    add_subdirectory(kcontrol)
endif ( NOT WINCE )
add_subdirectory(kioslave)
add_subdirectory(kurifilter-plugins)
add_subdirectory(phonon)
macro_optional_add_subdirectory(renamedlgplugins)

# UI Helper applications
add_subdirectory(drkonqi)
add_subdirectory(kcmshell)
add_subdirectory(kdebugdialog)
if ( ${QT_QT3SUPPORT_FOUND} )
   add_subdirectory(khelpcenter)
endif ( ${QT_QT3SUPPORT_FOUND} )
add_subdirectory(knetattach)
add_subdirectory(knewstuff)
macro_optional_add_subdirectory(keditfiletype)
if ( UNIX )
   add_subdirectory(kdesu)
endif ( UNIX )

# Command-line tools (e.g. for shell scripts)
if ( UNIX )
   add_subdirectory(kdeeject)
endif ( UNIX )
add_subdirectory(kfile)
add_subdirectory(kiconfinder)
add_subdirectory(kioclient)
add_subdirectory(kioexec)
add_subdirectory(ktraderclient)
add_subdirectory(kreadconfig)
add_subdirectory(kmimetypefinder)
if (Q_WS_X11)
  add_subdirectory(kstart)
endif (Q_WS_X11)
add_subdirectory(kquitapp)
add_subdirectory(menu)
if ( NOT WINCE )
    add_subdirectory(plasma)
endif ( NOT WINCE )
add_subdirectory(solid-hardware)

# Platform-specific integration
add_subdirectory(platforms)

# Default settings, content and config
add_subdirectory(l10n)
add_subdirectory(localization)
if(NOT WINCE)
  add_subdirectory(kde-menu)
macro_optional_add_subdirectory(doc)
endif(NOT WINCE)

# Artwork
add_subdirectory(desktoptheme)
if ( NOT WINCE )
  add_subdirectory(pics)
endif ( NOT WINCE )

# KDE integration for attica
if(LIBATTICA_FOUND)
  macro_optional_add_subdirectory(attica)
endif(LIBATTICA_FOUND)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

########### install files ###############
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/kde4 DESTINATION ${BIN_INSTALL_DIR})

## kde-runtime 4.7.1

=== debian/changelog ===
kde-runtime (4:4.7.1-0ubuntu5) oneiric; urgency=low

  * Drop all kde-active packages and patches as double-building with different
    patchsets doesn't seem to work on the archive builders.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 14:57:48 +0200

kde-runtime (4:4.7.1-0ubuntu4) oneiric; urgency=low

  * Make a full copy of the source and apply active patches to that, build
    active patches in that tree, then copy the results to the main build so
    patching the source multiple times can not collide

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Sep 2011 13:33:33 -0400

kde-runtime (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Build without --parallel since patch/unpatch sequences are stepping on
    each other

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Sep 2011 20:19:28 -0400

kde-runtime (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * Unpatch and repatch the extra active patches in each rule we need them in
    so patches stay in sync
  * Add post-4.7.1 cherrypicks from upstream (added for both series and
    series-active):
    - debian/patches/0001-Connect-to-the-right-object-jobView-instead-of-this.patch
    - debian/patches/0002-Fix-jobs-some-times-showing-empty.patch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Sep 2011 15:32:34 -0400

kde-runtime (4:4.7.1-0ubuntu1) oneiric; urgency=low

  [ Rodrigo Belem ]
  * Add the patches kubuntu-mobile-10-fix-the-signal-signature.patch and
    kubuntu-mobile-09-Add-title-to-activity-resources.patch needed by the
    latest plasma-active snapshot.

  [ Rohan Garg ]
  * New upstream release

  [ Felix Geyer ]
  * Fix kde-runtime and kde-runtime-data install files to not install
    plasma-active stuff.

  [ Michał Zając ]
  * Fixed issue with wrong patches being applied when calling dh_auto_install
    and debug info stripping issues

  [ Jonathan Kolberg ]
  * Update that should fix the installabilty of kde-runtime-active

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 08 Sep 2011 21:27:15 +0200

kde-runtime (4:4.7.0a-0ubuntu2) oneiric; urgency=low

  * Added plasma-active patches
  * Added activitymanager files to install files
  * Added a patch series for the plasma-active patches
  * Added the packages kde-runtime-active, kde-runtime-data-active,
   and plasma-scriptengine-javascript-active that will hold the binaries for
   built with the plasma-active patches.
  * Build the source twice to generate the packages with the plasma-active
    patches.

 -- Rodrigo Belem <rbelem@ubuntu.com>  Wed, 24 Aug 2011 20:52:26 -0400

kde-runtime (4:4.7.0a-0ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * Remove dont_show_netattach_outside_kde.diff, applied on upstream
  * Refresh kubuntu_nodisplay_knetattach.diff

  [ Philip Muškovac ]
  * New upstream release
  * Bump various breaks/replaces to catch the package version from the
    kubuntu-ppa.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2011 22:28:56 +0200

kde-runtime (4:4.6.90-0ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Drop sound-theme-freedesktop dependency as it has been added to
    libcanberra0.
  * Make kdebase-runtime-dbg a transitional package for kde-runtime-dbg

  [ Harald Sitter ]
  * New upstream release
  * Refresh:
    - kubuntu_oxygenify_knetattach_icon.diff
    - kubuntu_phonon_forget_option.diff
  * Build depend on libqtwebkit-dev

  [ Philip Muškovac ]
  * Make kdebase-runtime a transitional package for kde-runtime
  * Fix Vcs links for new location
  * kde-runtime-data breaks/replaces nepomukcontroller

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 09 Jul 2011 10:23:48 +0200

kdebase-runtime (4:4.6.3-1ubuntu3) oneiric; urgency=low

  * Make kdebase-runtime recommend on libcanberra-pulse | libcanberra-gstreamer
    - Much like Phonon, Canberra has backends, so kdebase-runtime needs to
      recommend those. Only recommend because they are only necessary
      for speaker setup testing at this time.
  * Make kdebase-runtime depend on sound-theme-freedesktop
    - The sound theme spec that is implemented by canberra demands this to
      be around as general fallback (much like hicolor for icons).
      Pending a fix for LP: #790608, we depend on it here meanwhile.
  * LP: #790627

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 31 May 2011 13:14:17 +0200

kdebase-runtime (4:4.6.3-1ubuntu2) oneiric; urgency=low

  * Mark kdebase-runtime as replacing/breaking pre-merge versions of
    plasma-scriptengine-javascript
  * Mark kdebase-runtime-data as replacing/breaking pre-merge versions of
    kdebase-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 30 May 2011 11:56:04 -0400

kdebase-runtime (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge from Debian Unstable, remaining changes:
    - add 30-nepomuk-inotify-limit.conf
    - add kdebase-runtime.[postinst,prerm] for update-alternatives kdesu
    - debian/control:
      - helpcenter4 no recommend on htdig
    - debian/patches:
      - Don't add:
        - kde4_information_menu.diff
    - debian/kdebase-runtime-data.install:
      - change etc/xdg/menus/kde4-information.menu to
        etc/xdg/menus/kde-information.menu
      - change usr/share/desktop-directories/kde4-information.directory to
        usr/share/desktop-directories/kde-information.directory
      - Don't install
        usr/share/kde4/apps/kio_desktop/DesktopLinks/Home.desktop
      - Don't install usr/share/kde4/apps/kio_desktop/directory.trash
    - debian/kdebase-runtime.install
      - install usr/lib/kde4/libexec/kdesu to
        /usr/lib/kde4/libexec/kdesu-distrib/
      - install 30-nepomuk-inotify-limit.conf to /etc/sysctl.d
    - kde-config-phonon-xine replaces/conflicts kcm-phonon-xine
    - kdebase-runtime-data.install: add D-Bus Interface XMLs for Playground
      Nepomuk

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

  [ Felix Geyer ]
  * Remove sequence number from kubuntu patches.



=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
 libsmbclient-dev, libsoprano-dev (>= 2.5.63),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [linux-any],
 libjpeg62-dev, libxine-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
 shared-desktop-ontologies (>= 0.5),
 libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
 libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
 libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime

Package: kde-runtime
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
 oxygen-icon-theme (>= 4:4.6),
 shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version}),
 phonon-backend-gstreamer | phonon-backend
Recommends: udisks, upower, virtuoso-minimal,
 kubuntu-debug-installer, icoutils,
 libcanberra-pulse | libcanberra-gstreamer
Suggests: djvulibre-bin
Replaces: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
 plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
 kdebase-runtime (<< 4:4.6.80), nepomukcontroller
Breaks: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
 plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
 kdebase-runtime (<< 4:4.6.80), nepomukcontroller
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: kde
Architecture: all
Depends: ${misc:Depends}, kde-runtime
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Section: kde
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
 plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
 kdebase-runtime-data, nepomukcontroller
Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
 plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
 kdebase-runtime-data, nepomukcontroller
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: khelpcenter
Breaks: khelpcenter
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: kde-config-phonon-xine
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
Replaces: kcm-phonon-xine
Breaks: kcm-phonon-xine
Description: advanced Phonon Xine configuration
 This package contains a configuration module for tweaking some of the more
 advanced settings for Phonon's Xine backend.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.6.80)
Breaks: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.6.80)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: debug
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime-dbg
 package and can safely be removed after installation.

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=xine

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/attica_kde.so

override_dh_shlibdeps:
	$(overridden_command) -pplasma-scriptengine-javascript -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/kdesud

override_dh_strip:
	$(overridden_command) --dbg-package=kde-runtime-dbg

override_dh_xine:
	$(overridden_command) -pkde-config-phonon-xine

## kde-runtime 4.7.2

=== debian/changelog ===
kde-runtime (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove patch dont_show_netattach_outside_kde.diff, it has been merged
    upstream.
  * Bump build dependencies:
    - shared-desktop-ontologies to >= 0.7.
    - kdelibs5-dev to >= 4:4.7.
  * Upstream re-included nepomukcontroller, we can close the ITP
    (Closes: #611309).

  [ Daniele E. Domenichelli ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.7.2.
  * Update dependencies:
    - Add libqtwebkit-dev.
    - Add libqzeitgeist-dev.
    - Bump libsoprano-dev to 2.6.50.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Rename source package from kdebase-runtime to kde-runtime in order
    to match upstream naming.
  * Rename the following binary packages:
    - kdebase-runtime -> kde-runtime
    - kdebase-runtime-data -> kde-runtime-data
  * Add the following dummy packages (which depend on kde-runtime-*):
    - kdebase-runtime
    - kdebase-runtime-dbg
  * Update Vcs-* fields.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:18 -0300

kdebase-runtime (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.5.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:55 +0300

kdebase-runtime (4:4.6.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Fix typo in debian/control: s/COnflicts/Conflicts/. Thanks to Jonathan
    Thomas.

  [ Pino Toscano ]
  * Add finger as suggestion of kdebase-runtime (for the finger kioslave).
  * Change libjpeg62-dev build-dependency to libjpeg-dev.

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 13:05:46 +0300

=== debian/control ===
Source: kde-runtime
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
 libsmbclient-dev, libsoprano-dev (>= 2.6.50),
 libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
 libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
 libasound2-dev (>= 1.0.14a) [linux-any],
 libjpeg-dev, libxine-dev, libslp-dev,
 liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
 shared-desktop-ontologies (>= 0.7),
 libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
 libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
 libqtwebkit-dev, libqzeitgeist-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git

Package: kde-runtime
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
 oxygen-icon-theme (>= 4:4.6),
 shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
Recommends: virtuoso-minimal
Suggests: djvulibre-bin, icoutils, finger
Replaces: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdebase-runtime (<< 4:4.7.2)
Breaks: kdebase-runtime-bin-kde4,
 kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
 kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
 kdebase-runtime (<< 4:4.7.2)
Conflicts: kdelibs4-dev
Description: runtime components from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains programs and data needed at runtime by KDE applications.

Package: kdebase-runtime
Section: kde
Architecture: all
Depends: ${misc:Depends}, kde-runtime
Description: Transitional package for the KDE runtime components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This transitional package takes care of pulling in the new kde-runtime package
 and can safely be removed after installation.

Package: kde-runtime-data
Section: kde
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdebase-runtime-data (<< 4:4.7.2)
Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
 kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
 kdebase-runtime-data (<< 4:4.7.2)
Description: shared data files for the KDE base runtime module
 This package contains the architecture-independent shared data files needed to
 run KDE applications.
 .
 This package is part of the KDE base runtime module.

Package: khelpcenter4
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: htdig
Replaces: khelpcenter
Breaks: khelpcenter
Description: help center
 The KDE Help Center displays documentation on how to use the KDE plasma
 workspaces and applications, as well as UNIX man and info pages.
 It can search through documentation using the 'htdig' package.
 .
 This package is part of the KDE base runtime module.

Package: kde-config-phonon-xine
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
Description: advanced Phonon Xine configuration
 This package contains a configuration module for tweaking some of the more
 advanced settings for Phonon's Xine backend.
 .
 This package is part of the KDE base runtime module.

Package: plasma-scriptengine-javascript
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JavaScript script engine for Plasma
 This package provides the JavaScript script engine for Plasma. You have to
 install it if you want to use Plasma widgets and data engines written in
 JavaScript.
 .
 This package is part of the KDE base runtime module.

Package: kde-runtime-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime (= ${binary:Version}), kdelibs5-dbg
Replaces: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Breaks: kdelibs5-dbg (<< 4:4.5), kdebase-workspace-dbg (<< 4:4.6),
 kdebase-runtime-dbg (<< 4:4.7.2)
Conflicts: kdelibs-dbg
Description: debugging symbols for KDE base runtime module
 This package contains the debugging symbols associated with kde-runtime.
 They will automatically be used by gdb for debugging kde-runtime related
 issues.

Package: kdebase-runtime-dbg
Section: debug
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Description: transitional package for kde-runtime-dbg
 This is a dummy transitional package for kde-runtime-dbg and can be safely
 removed after the installation is complete.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 	$(overridden_command) -Xusr/lib/attica_kde.so
 
 override_dh_shlibdeps:
-	$(overridden_command) -pplasma-scriptengine-javascript -- -xkde-runtime
+	$(overridden_command) -pplasma-scriptengine-javascript -- \
+		-xkdebase-runtime -xkde-runtime
+	$(overridden_command) -pkde-runtime -- -xkdebase-runtime
 	$(overridden_command) --remaining-packages
 
 override_dh_fixperms:
@@ -21,3 +23,4 @@
 
 override_dh_xine:
 	$(overridden_command) -pkde-config-phonon-xine
+

## kde-runtime 4.7.4

=== debian/changelog ===
kde-runtime (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

  [ Felix Geyer ]
  * Drop /usr/bin/trash4 symlink since it's not needed anymore and was broken
    anyway. (Closes: #573441)
  * Don't build the phonon xine kcm since the xine backend has been removed.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 17:34:57 +0100

kde-runtime (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.7.4.
  * Add myself to uploaders.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies kde-runtime dependency to 0.8.
  * kdebase-runtime and kdebase-runtime-dbg dummy packages are now in section
    "oldlibs."

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:40:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
  libasound2-dev (>= 1.0.14a) [linux-any],
- libjpeg-dev, libxine-dev, libslp-dev,
+ libjpeg-dev, libslp-dev,
  liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
  shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
@@ -29,7 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
  oxygen-icon-theme (>= 4:4.6),
- shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
+ shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version})
 Recommends: virtuoso-minimal
 Suggests: djvulibre-bin, icoutils, finger
 Replaces: kdebase-runtime-bin-kde4,
@@ -52,7 +52,7 @@
  This package contains programs and data needed at runtime by KDE applications.
 
 Package: kdebase-runtime
-Section: kde
+Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, kde-runtime
 Description: Transitional package for the KDE runtime components
@@ -98,16 +98,6 @@
  .
  This package is part of the KDE base runtime module.
 
-Package: kde-config-phonon-xine
-Section: kde
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
-Description: advanced Phonon Xine configuration
- This package contains a configuration module for tweaking some of the more
- advanced settings for Phonon's Xine backend.
- .
- This package is part of the KDE base runtime module.
-
 Package: plasma-scriptengine-javascript
 Section: kde
 Architecture: any
@@ -135,7 +125,7 @@
  issues.
 
 Package: kdebase-runtime-dbg
-Section: debug
+Section: oldlibs
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, kde-runtime-dbg

## kde-runtime 4.8.2

=== debian/changelog ===
kde-runtime (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:03 +0100

kde-runtime (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 21:36:32 +0200

kde-runtime (4:4.8.1-0ubuntu1) precise; urgency=low

  [ Philip Muskovac ]
  * New upstream release
  * Add a kde-runtime-dev package with the nepomuk headers 
    (LP: #928009, #947498)
  * Add separate packages for libnepomukdatamanagement4 and libnepomuksync4
    and add symbol files
  * libnepomuksync4 breaks/replaces kde-runtime << 4:4.8.1~
  * kde-runtime-dev breaks/replaces kde-runtime << 4:4.8.1~
  * Refresh kde-runtime-data.install

  [ Felix Geyer ]
  * Drop broken /usr/bin/trash4 symlink.
  * Switch kde-runtime-dev to arch:any and make it depend on libnepomuksync4 and
    libnepomukdatamanagement4 instead of kde-runtime.
  * Move /usr/bin/nepomuk-simpleresource-rcgen from kde-runtime to
    kde-runtime-dev and add appropriate dependencies to kde-runtime-dev.
  * kde-runtime: drop unused lintian override shlib-without-versioned-soname
    libnepomukdatamanagement.so.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Mar 2012 17:38:39 +0100

kde-runtime (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:21 +0000

kde-runtime (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:56 +0000

kde-runtime (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - disable kubuntu_knetattach_use_sftp.diff, doesn't apply
    - adapt kubuntu_strigi_ram_detection.diff for upstream changes
    - update kde-runtime.install, kde-runtime-data.install and not-installed
  * drop icoutils from suggests, it's recommended

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 00:16:36 +0100

kde-runtime (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Add build-dep on libqca

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Dec 2011 11:53:26 +0000

kde-runtime (4:4.7.3-0ubuntu3) UNRELEASED; urgency=low

  * Remove unused patch kubuntu_discard_actions_when_using_ayatana.diff
    equivalent functionality has been upstream for a while now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Nov 2011 14:30:54 +0000

kde-runtime (4:4.7.3-0ubuntu2) precise; urgency=low

  * New upstream release
  * Merge from Debian Unstable, remaining changes:
    - add 30-nepomuk-inotify-limit.conf
    - add kdebase-runtime.[postinst,prerm] for update-alternatives kdesu
    - debian/control:
      - helpcenter4 no recommend on htdig
    - debian/patches:
      - Don't add:
        - kde4_information_menu.diff
    - debian/kde-runtime-data.install:
      - change etc/xdg/menus/kde4-information.menu to
        etc/xdg/menus/kde-information.menu
      - change usr/share/desktop-directories/kde4-information.directory to
        usr/share/desktop-directories/kde-information.directory
      - Don't install
        usr/share/kde4/apps/kio_desktop/DesktopLinks/Home.desktop
      - Don't install usr/share/kde4/apps/kio_desktop/directory.trash
    - debian/kde-runtime.install
      - install usr/lib/kde4/libexec/kdesu to
        /usr/lib/kde4/libexec/kdesu-distrib/
      - install 30-nepomuk-inotify-limit.conf to /etc/sysctl.d
    - kde-config-phonon-xine commented out in debian/control
    - kde-runtime-data.install: add D-Bus Interface XMLs for Playground
      Nepomuk
    - Remove xine rules in debian/rules
    - Remove xine build-dep in debian/control
    - Remove libqzeitgeist-dev build-dep, not yet in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 19:30:25 +0000

kde-runtime (4:4.7.2-0r3) UNRELEASED; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove patch dont_show_netattach_outside_kde.diff, it has been merged
    upstream.
  * Bump build dependencies:
    - shared-desktop-ontologies to >= 0.7.
    - kdelibs5-dev to >= 4:4.7.

  [ Daniele E. Domenichelli ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.7.2.
  * Update dependencies:
    - Add libqtwebkit-dev.
    - Add libqzeitgeist-dev.
    - Bump libsoprano-dev to 2.6.50.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Rename source package from kdebase-runtime to kde-runtime in order
    to match upstream naming.
  * Rename the following binary packages:
    - kdebase-runtime -> kde-runtime
    - kdebase-runtime-data -> kde-runtime-data
  * Add the following dummy packages (which depend on kde-runtime-*):
    - kdebase-runtime
    - kdebase-runtime-dbg
  * Update Vcs-* fields.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Aug 2011 19:53:35 -0300

kde-runtime (4:4.7.3-0ubuntu1) precise; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Felix Geyer ]
  * Disable the kde-config-phonon-xine package as we don't support the phonon
    xine backend anymore
    - Drop libxine-dev from build-deps
    - Disable the xine dh addon in debian/rules
  * Build-depend on libjpeg-dev instead of libjpeg62-dev.

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 10 Nov 2011 15:27:26 +0100

kde-runtime (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)
  * Drop patches that are applied upstream:
    - 0001-Connect-to-the-right-object-jobView-instead-of-this.patch
    - 0002-Fix-jobs-some-times-showing-empty.patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 13 Oct 2011 12:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kde-runtime
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+ Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
+ kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
@@ -17,11 +18,13 @@
  shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, libqzeitgeist-dev
+ libqtwebkit-dev, libqca2-dev, kdelibs5-experimental-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-runtime.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
 
 Package: kde-runtime
 Section: kde
@@ -29,17 +32,23 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
  oxygen-icon-theme (>= 4:4.6),
- shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version})
-Recommends: virtuoso-minimal
-Suggests: djvulibre-bin, icoutils, finger
+ shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
+Recommends: udisks, upower, virtuoso-minimal,
+ kubuntu-debug-installer, icoutils,
+ libcanberra-pulse | libcanberra-gstreamer
+Suggests: djvulibre-bin, finger
 Replaces: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
  kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
- kdebase-runtime (<< 4:4.7.2)
+ kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
+ plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
+ kdebase-runtime (<< 4:4.6.80), nepomukcontroller
 Breaks: kdebase-runtime-bin-kde4,
  kdelibs5-plugins (<< 4:4.5), kdebase-workspace-bin (<< 4:4.6),
  kdebluetooth (<< 1.0~beta7-1), plasma-netbook (<< 4:4.5.95),
- kdebase-runtime (<< 4:4.7.2)
+ kdelibs5 (<< 4:4.4.80), kdebase-runtime-data (<< 4:4.4.80),
+ plasma-scriptengine-declarative, plasma-scriptengine-javascript (<< 4:4.6.80),
+ kdebase-runtime (<< 4:4.6.80), nepomukcontroller
 Conflicts: kdelibs4-dev
 Description: runtime components from the official KDE release
  KDE is produced by an international technology team that creates free and open
@@ -52,7 +61,7 @@
  This package contains programs and data needed at runtime by KDE applications.
 
 Package: kdebase-runtime
-Section: oldlibs
+Section: kde
 Architecture: all
 Depends: ${misc:Depends}, kde-runtime
 Description: Transitional package for the KDE runtime components
@@ -73,14 +82,57 @@
 Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
- kdebase-runtime-data (<< 4:4.7.2)
+ kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
+ plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
+ kdebase-runtime-data, nepomukcontroller
 Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
- kdebase-runtime-data (<< 4:4.7.2)
+ kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
+ plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
+ kdebase-runtime-data, nepomukcontroller
 Description: shared data files for the KDE base runtime module
  This package contains the architecture-independent shared data files needed to
  run KDE applications.
+ .
+ This package is part of the KDE base runtime module.
+
+Package: kde-runtime-dev
+Section: devel
+Architecture: any
+Depends: ${misc:Depends},
+ libnepomukdatamanagement4 (= ${binary:Version}),
+ libnepomuksync4 (= ${binary:Version}),
+ python,
+ python-kde4
+Breaks: kde-runtime (<< 4:4.8.1~)
+Replaces: kde-runtime (<< 4:4.8.1~)
+Description: Development files for Nepomuk
+ Development files for Nepomuk
+ .
+ This package is part of the KDE base runtime module.
+
+Package: libnepomukdatamanagement4
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Basic Nepomuk data manipulation interface
+ The Data Management API is the basic interface to manipulate data in Nepomuk.
+ It provides methods to add, remove, change properties, add and remove 
+ resources, merge resources, integrate blobs of information, and retrieve 
+ resources according to certain criteria
+ .
+ This package is part of the KDE base runtime module.
+
+Package: libnepomuksync4
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-runtime (<< 4:4.8.1~)
+Replaces: kde-runtime (<< 4:4.8.1~)
+Description: Nepomuk sync interface for the Backup and Sync service
+ The Nepomuk sync interface provides a convenient way to store and look up
+ Nepomuk resources.
  .
  This package is part of the KDE base runtime module.
 
@@ -88,7 +140,6 @@
 Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: htdig
 Replaces: khelpcenter
 Breaks: khelpcenter
 Description: help center
@@ -97,6 +148,16 @@
  It can search through documentation using the 'htdig' package.
  .
  This package is part of the KDE base runtime module.
+
+#Package: kde-config-phonon-xine
+#Section: kde
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
+#Description: advanced Phonon Xine configuration
+# This package contains a configuration module for tweaking some of the more
+# advanced settings for Phonon's Xine backend.
+# .
+# This package is part of the KDE base runtime module.
 
 Package: plasma-scriptengine-javascript
 Section: kde
@@ -125,7 +186,7 @@
  issues.
 
 Package: kdebase-runtime-dbg
-Section: oldlibs
+Section: debug
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, kde-runtime-dbg

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-dh = --with=xine
+#disabled in Kubuntu
+#dh = --with=xine
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
@@ -21,6 +22,7 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-runtime-dbg
 
-override_dh_xine:
-	$(overridden_command) -pkde-config-phonon-xine
+#disabled in Kubuntu
+#override_dh_xine:
+#	$(overridden_command) -pkde-config-phonon-xine
